package com.epson.iprint.storage.gdrivev3;



import com.epson.iprint.storage.Network;
import com.epson.iprint.storage.gdrivev3.GoogleDownloadContract;

class Injection {
    private static volatile DownloadPresenterFactory sDownloadPresenterFactory;

    interface DownloadPresenterFactory {
        GoogleDownloadPresenter createDownloadPresenter(@NonNull GoogleDownloadContract.View view);
    }

    static void setDownloadPresenterFactory(@Nullable DownloadPresenterFactory downloadPresenterFactory) {
    }

    Injection() {
    }

    static GoogleDownloadPresenter provideDownloadPresenter(@NonNull GoogleDownloadContract.View view) {
        return new GoogleDownloadPresenter(new IprintGoogleSignIn(), new PlayServiceDialogManager(), new DownloaderWrapper(), new Network(), view);
    }
}
